Subject: Re: [PATCH 4/4] arm64: Kconfig: Fix EXYNOS driver dependencies

From: Mark Brown <[email-masked]>
Date: Thu, 12 Sep 2019 10:32:30 +0100

On Thu, Sep 12, 2019 at 03:48:48AM +0530, Amit Kucheria wrote:

> Push various EXYNOS drivers behind ARCH_EXYNOS dependency so that it
> doesn't get enabled by default on other platforms.

>  config REGULATOR_S2MPS11
>  	tristate "Samsung S2MPS11/13/14/15/S2MPU02 voltage regulator"
> +	depends on ARCH_EXYNOS
>  	depends on MFD_SEC_CORE
>  	help
>  	 This driver supports a Samsung S2MPS11/13/14/15/S2MPU02 voltage

This doesn't match the changelog at all.  This driver is not
enabled by default since it's just a normal tristate, they are
disabled by default.  As far as I can see all this change will
do is reduce our build test coverage by adding an artificial
dependency without an || COMPILE_TEST.
_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel